Page MenuHomePhabricator

MT: A 'Restore' after 'Clear paragraph ' miss data-mw and data-parsoid attributes
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Translate frwiki:Bataille_de_Navarin to es
  2. Locate the section with content starting "La Grèce est libre et dans la tombe" . Use Apertium to translate
  3. Use dev tools to inspect the HTML for the section -span under dd. You will see a dl with data-mw and typeof=mw:Transclusion
  4. Clear that section using MT card->Clear paragraph
  5. Press restore button
  6. Observe the HTML: It wont have any data-mw

Event Timeline

santhosh created this task.Jun 2 2016, 11:24 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 2 2016, 11:24 AM
santhosh renamed this task from MT: A 'Restore' after 'Clear paragraph ' missess data-mw and data-attr parameters to MT: A 'Restore' after 'Clear paragraph ' miss data-mw and data-attr parameters.Jun 2 2016, 11:24 AM
santhosh renamed this task from MT: A 'Restore' after 'Clear paragraph ' miss data-mw and data-attr parameters to MT: A 'Restore' after 'Clear paragraph ' miss data-mw and data-parsoid attributes.

Change 292528 had a related patch set uploaded (by Santhosh):
Correct the wt value of adapted templates

https://gerrit.wikimedia.org/r/292528

Change 292528 merged by jenkins-bot:
Correct the wt value of adapted templates

https://gerrit.wikimedia.org/r/292528

Change 292548 had a related patch set uploaded (by Santhosh):
Fetch and rememeber the templace namespace alias for target language

https://gerrit.wikimedia.org/r/292548

Change 292548 merged by jenkins-bot:
Fetch and remember the template namespace alias for target language

https://gerrit.wikimedia.org/r/292548

santhosh triaged this task as High priority.Jun 10 2016, 4:26 AM
santhosh moved this task from In Review to QA on the Language-Q4-2016-Sprint 4 board.
Arrbee moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 14 2016, 6:55 AM
Amire80 moved this task from Needs Triage to CX9 on the ContentTranslation board.Jun 20 2016, 6:58 AM

Is this resolved?

I see data-mw on some <span> elements, but not all. I'm not sure where they are supposed to be. Can anybody please test?

I'm not sure whether this is resolved. Putting in CX10 Sprint 6 for testing.

Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
Amire80 claimed this task.Sep 14 2016, 6:54 AM

Assigning to myself for testing.

Amire80 closed this task as Resolved.Sep 27 2016, 12:29 PM
Amire80 removed a project: TestMe.

Tested again, and this is resolved.